Package net.shibboleth.idp.profile.impl

# Class ResolverTestRequest

java.lang.Object
net.shibboleth.idp.profile.impl.ResolverTestRequest

@ThreadSafe public class ResolverTestRequest extends Object
Object representing a request to run the attribute resolution and filtering components.

This abstracts the parameters used to populate the context tree and query attributes for a subject, optionally on behalf of a specific requester for a specific protocol.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Integer`
`acsIndex`
The `<AttributeConsumingService>` index into metadata.
`private final String`
`principal`
The name of the subject.
`private final String`
`protocol`
Protocol identifier to simulate a response for.
`private final String`
`requesterId`
The ID of the requester.
`private final Boolean`
`unfiltered`
Unfiltered flag.

## Constructor Summary

Constructors
Constructor
Description
`ResolverTestRequest(String princ, String requester, Integer index, String prot, Boolean unfilteredFlag)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Integer`
`getAttributeConsumingServiceIndex()`
Get the `<AttributeConsumingService>` index into metadata to apply.
`String`
`getPrincipal()`
Get the name of the subject.
`String`
`getProtocol()`
Get the protocol to apply to the results.
`String`
`getRequesterId()`
Get the ID of the requesting relying party.
`Boolean`
`getUnfiltered()`
Get whether to dump unfiltered attributes in protocol-neutral output.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### principal

@Nonnull @NotEmpty private final String principal
The name of the subject.

### requesterId

@Nonnull @NotEmpty private final String requesterId
The ID of the requester.

### acsIndex

@Nullable private final Integer acsIndex
The `<AttributeConsumingService>` index into metadata.

### protocol

@Nullable private final String protocol
Protocol identifier to simulate a response for.

### unfiltered

@Nullable private final Boolean unfiltered
Unfiltered flag.

## Constructor Details

### ResolverTestRequest

public ResolverTestRequest(@Nonnull @NotEmpty String princ, @Nonnull @NotEmpty String requester, @Nullable Integer index, @Nullable String prot, @Nullable Boolean unfilteredFlag)
Constructor.

Parameters:
  `princ` - name of subject
  `requester` - ID of requester
  `index` - `<AttributeConsumingService>` index
  `prot` - protocol ID
  `unfilteredFlag` - unfiltered flag

## Method Details

### getPrincipal

@Nonnull @NotEmpty public String getPrincipal()
Get the name of the subject.

Returns:
  name of the subject

### getRequesterId

@Nonnull @NotEmpty public String getRequesterId()
Get the ID of the requesting relying party.

Returns:
  ID of the requesting relying party

### getAttributeConsumingServiceIndex

@Nullable public Integer getAttributeConsumingServiceIndex()
Get the `<AttributeConsumingService>` index into metadata to apply.

Returns:
  `<AttributeConsumingService>` index into metadata, or null

### getProtocol

@Nullable public String getProtocol()
Get the protocol to apply to the results.

Returns:
  protocol to apply to the results

### getUnfiltered

@Nullable public Boolean getUnfiltered()
Get whether to dump unfiltered attributes in protocol-neutral output.

Returns:
  whether to dump unfiltered attributes
Since:
  5.1.0

### toString

public String toString()

Overrides:
  `toString` in class `Object`